Package: org.codehaus.groovy.ant

## [Java] Class GenerateStubsTask

- org.codehaus.groovy.ant.GenerateStubsTask

- Generates Java stubs from Groovy sources.

  Authors:
    Jason Dillon

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class CompileTaskSupport` | `classpath, config, destdir, failOnError, log, src`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected void` | `compile()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class CompileTaskSupport` | `compile, createClassLoader, createClasspath, createConfiguration, createSrc, execute, getClasspath, getFailonerror, getSrcdir, handleException, setClasspath, setClasspathRef, setDestdir, setFailonerror, setSrcdir, validate`

    `class MatchingTask`

    `createInclude, createIncludesFile, createExclude, createExcludesFile, setIncludesfile, setExcludesfile, hasSelectors, selectorCount, selectorElements, appendSelector, createPatternSet, setDefaultexcludes, addAnd, addOr, addNot, addNone, addMajority, addDate, addSize, addDifferent, addFilename, addCustom, addContains, addPresent, addDepth, addDepend, addContainsRegexp, addModified, setFollowSymlinks, XsetItems, XsetIgnore, getSelectors, addSelector, setProject, add, setCaseSensitive, addType, setExcludes, setIncludes, getTaskName, getOwningTarget, getTaskType, setTaskType, setTaskName, setOwningTarget, getRuntimeConfigurableWrapper, setRuntimeConfigurableWrapper, maybeConfigure, reconfigure, perform, bindToOwner, log, log, log, log, init, execute, setLocation, clone, getLocation, getDescription, setDescription, getProject, equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### @Override protected void compile()